BSON_ITER_RECURSE(3)

NAME
bson_iter_recurse - bson_iter_recurse()

SYNOPSIS

bool
bson_iter_recurse (const bson_iter_t *iter, bson_iter_t *child);

PARAMETERS

•   iter: A bson_iter_t.

•   child: A bson_iter_t.

DESCRIPTION

The bson_iter_recurse() function shall initialize child using the embedded document or array currently observed by iter.

If there was a failure to initialize the iter, false is returned and both iter and child should be considered invalid.

This should only be called when observing an element of type BSON_TYPE_ARRAY or BSON_TYPE_DOCUMENT.

RETURNS

If iter observes an element of type BSON_TYPE_ARRAY or BSON_TYPE_DOCUMENT, then child is initialized and the function returns true. Otherwise, the function returns false and child is invalid.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc